Ubuntu 12.10 JDK配置出错,”权限不够“

为当前最终发行版之前的所有版本提供支持
回复
头像
MrDream
帖子: 11
注册时间: 2013-04-04 18:19
系统: Ubuntu 12.10
送出感谢: 0
接收感谢: 0

Ubuntu 12.10 JDK配置出错,”权限不够“

#1

帖子 MrDream » 2013-04-08 12:53

昨天中午照这贴子http://chainpretty.blog.51cto.com/6114405/1122393配置jdk成功,java -version正常,晚上为了把docs加进jdk7,改了opt权限,导致原来好好的jdk,权限不够,昨晚一狠心重装了Ubuntu12.10,依旧按照这贴子配置JDK:http://chainpretty.blog.51cto.com/6114405/1122393,可是还是显示“权限不够”,重装系统怎么也不其作用?命令及结果如下:

代码: 全选

wayne@Wayne-ThinkPad:/media/wayne/000D52DF0001250B/Ubuntu$ sudo chown -R wayne jdk7
wayne@Wayne-ThinkPad:/media/wayne/000D52DF0001250B/Ubuntu$ sudo chmod -R 755 jdk7
wayne@Wayne-ThinkPad:/media/wayne/000D52DF0001250B/Ubuntu$ sudo mv jdk7 /opt
wayne@Wayne-ThinkPad:/media/wayne/000D52DF0001250B/Ubuntu$ cd /
wayne@Wayne-ThinkPad:/$ sudo gedit /etc/profile
wayne@Wayne-ThinkPad:/$ source /etc/profile
wayne@Wayne-ThinkPad:/$ java -version
bash: /opt/jdk7/bin/java: 权限不够
望大神指点,多谢!
头像
cuihao
帖子: 4793
注册时间: 2008-07-24 11:33
来自: 郑州
送出感谢: 1 次
接收感谢: 89 次
联系:

Re: Ubuntu 12.10 JDK配置出错,”权限不够“

#2

帖子 cuihao » 2013-04-08 14:00

我猜是没有可执行权限。
看你是把文件先解压在了Windows分区吧,Windows分区不支持Linux权限。
要解压到Linux分区才行。
求人不如求它仨: 天蓝的Wiki 屎黄的Wiki 绿
Site: CUIHAO.TK    Twitter: @cuihaoleo
Machine: Athlon64 X2 5200+ / 2x2GB DDR2-800 / GeForce GTS 450
AD: ~まだ見ぬ誰かの笑顔のために~
头像
MrDream
帖子: 11
注册时间: 2013-04-04 18:19
系统: Ubuntu 12.10
送出感谢: 0
接收感谢: 0

Re: Ubuntu 12.10 JDK配置出错,”权限不够“

#3

帖子 MrDream » 2013-04-08 19:35

cuihao, 对哦,解压到/下载就可以了,灰常感谢
头像
tommy007
帖子: 1352
注册时间: 2007-02-18 0:42
送出感谢: 0
接收感谢: 10 次

Re: Ubuntu 12.10 JDK配置出错,”权限不够“

#4

帖子 tommy007 » 2013-04-08 20:33

我想说的是。。。你不如用人家ppa里面做好的。或者干脆openjdk
回复

回到 “老旧版本支持”